# Gimp.Image.export_path_to_string

    @accepts(Gimp.Image, Gimp.Path)
    @returns(unicode)
    def export_path_to_string(self, path):
        # Python wrapper for gimp_image_export_path_to_string()

Save a path as an SVG string.

This procedure works like [method@Gimp.Image.export_path_to_file] but creates a string rather than a file. The string is NULL-terminated and holds a complete XML document. Pass None as the 'path' argument to export all paths in the image.

Since 2.6

self

  The image.

path

  The path object to export, or None for all in the image.

Returns